#include "vision.h"
using namespace std;

std::vector<int> getVisionPattern1d()
{
    return {1};
}

int getMove1d(std::vector<int> v)
{
    return 0;
}

std::vector<std::vector<int>> getVisionPattern2d()
{
    return {{1,1,1},
            {1,2,1},
            {1,1,3}};
}

std::pair<int, int> getMove2d(std::vector<std::vector<int>> v)
{
    if(v.size()==5)
    {
        if(v[1][1]==3)return {1,1};
        if(v[1][3]==3)return {1,3};
        if(v[3][1]==3)return {3,1};
        return {3,3};
    }
    if(v.size()==7)
    {
        if(v[2][2]==2)return {6,6};
        if(v[2][4]==2)return {6,0};
        if(v[4][2]==2)return {0,6};
        return {0,0};
    }
    for(int i=0;i<3;i++)
    {
        for(int j=0;j<3;j++)
        {
            if(v[i][j]==3)return {i,j};
        }
    }
    return {0, 0};
}
